Show compatibility error if an add-on uses xmlEncoding

RESOLVED FIXED in 6.3.3

Status

addons.mozilla.org Graveyard
Compatibility Tools
P2
normal
RESOLVED FIXED
7 years ago
2 years ago

People

(Reporter: jorgev, Assigned: basta)

Tracking

unspecified
6.3.3

Details

(Whiteboard: [fx10])

(Reporter)

Description

7 years ago
As explained in bug 687426, the xmlEncoding property is being removed. We need to flag all instances of this property and show an error.

This is a compatibility error, so the add-on should not be upgraded in this case.

Message:

The "xmlEncoding" property has been removed. See <LINK> for more information.

Link: https://bugzilla.mozilla.org/show_bug.cgi?id=687426

Affected add-on:

https://addons.mozilla.org/en-US/firefox/addon/firediff/ (compat with 7)
Assignee: nobody → mattbasta
Fixed https://github.com/mozilla/amo-validator/commit/e7153c9d75248c20e3d13d1c7d512838608119ee

(already in Zamboni)
Status: NEW → RESOLVED
Last Resolved: 7 years ago
Resolution: --- → FIXED
Product: addons.mozilla.org → addons.mozilla.org Graveyard
You need to log in before you can comment on or make changes to this bug.